{% extends 'common/base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %}
    Social Network
{% endblock %}
{% block content %}
    <!-- Main container -->
    <div class="container-fluid">
        <div class="row">
            <!-- Left side -->
            <div class="col-md-3">
                <!-- Profile card -->
                <div class="row">
                    <div class="col-12 margin_top_default margin_bottom_default">
                        {% include 'common/includes/own_profile_card.html' %}
                    </div>
                </div>
            </div>
            <!-- Center - main content -->
            <div class="col-md-6">
                <!-- Add comment / photo form -->
                <div class="row">
                    <div class="col-12 text-center m-0 p-0">
                        <p>
                            <button class="mt-1 form-control form-control-md" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample">
                                PRESS TO CREATE YOUR POST
                            </button>
                        </p>
                        <!-- Post Search Result Report -->
                        <div>
                            {% if search_message_success %}
                                <div class="font-weight-bold alert-success">
                                    {{ search_message_success }}
                                </div>
                            {% endif %}
                            {% if search_message_no_matches %}
                                <div class="font-weight-bold alert-danger">
                                    {{ search_message_no_matches }}
                                </div>
                            {% endif %}
                        </div>
                        {% if user.is_authenticated %}
                            {% if form.is_bound %}
                                <div class="collapse show" id="collapseExample">
                                {% else %}
                                <div class="collapse" id="collapseExample">
                            {% endif %}
                                <div class="card card-body">
                                    <div>
                                        <form action="{% url 'post_create_url' %}" enctype="multipart/form-data" method="post">
                                            {% csrf_token %}
                                            <!-- Img input block -->
                                            <div>
                                                <h6 class="mt-4">Add your picture</h6>
                                                <label class="upload label_like_btn">
                                                    <span class="custom_hide" id="u_img" onchange="imgUploadPreviewer(this.id);">
                                                        {{ form.image }}
                                                    </span>
                                                    <img src="{% static 'images/ic_photo_camera_24px.png' %}">
                                                </label>
                                            </div>
                                            <!-- Img previewer block -->
                                            <div class="imgShowPreviewer">
                                                <img src="" class="wasAddMesu_imgmsg">
                                            </div>
                                            <div class="text-muted imgReport col"></div>
                                            <button id="cnslprvimg" type="button" class="mt-1 btn btn-sm text-muted cancelPreview custom_hide" onclick="cancelImgUploadPreviewer(this.id);">
                                                <img src="{% static 'images/ic_close_24px.png' %}">
                                            </button>
                                            <h6 class="mt-2">Add your text</h6>
                                            {{ form.body }}
                                            <label class="text-danger">
                                            {{ form.errors }}
                                            </label>
                                            <div class="interests_scrollable">
                                                <div class="row justify-content-center">
                                                    <h6 class="mt-1">Add post interests</h6>
                                                    <div class="col-md-12 mt-3 text-left">
                                                        <label>
                                                            {{ form.interests }}
                                                        </label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row justify-content-end">
                                                <div class="col-auto">
                                                    <button type="submit" class="btn btn-dark m-0 p-3">
                                                        POST <img class="p-0 ml-1" src="{% static 'images/ic_send_24px.png' %}">
                                                    </button>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        {% else %}
                            <div class="card card-body text-center collapse" id="collapseExample">
                                <p class="font-weight-bold text-danger">Only registered users can create messages!</p>
                                <p>Please <a href="{% url 'login' %}">Log in</a> or <a href="{% url 'signup' %}">Sign up</a>.</p>
                            </div>
                        {% endif %}
                    </div>
                    <!-- Post cards -->
                    <div class="col-12 margin_top_default">
                        {% for post in object_list %}
                            {% include 'common/includes/post_card.html' %}
                        {% endfor %}
                        <!-- Post's paginator -->
                        {% if is_paginated %}
                            <div class="mb-5">
                                <nav aria-label="Page navigation main">
                                    <ul class="pagination justify-content-center">
                                        <li class="page-item {% if not prev_url %} disabled {% endif %}">
                                            <a class="page-link" href="{{ prev_url }}" aria-label="Previous">
                                                <span aria-hidden="true">&laquo;</span>
                                                <span class="sr-only">Previous</span>
                                            </a>
                                        </li>
                                        {% for n in object_list.paginator.page_range %}
                                            {% if object_list.number == n %}
                                                <li class="page-item active">
                                                    {% if request.GET.search %}
                                                        <a class="page-link" href="?search={{ request.GET.search }}&page={{ n }}">{{ n }}<span class="sr-only">(current)</span></a>
                                                    {% else %}
                                                        <a class="page-link" href="?page={{ n }}">{{ n }}<span class="sr-only">(current)</span></a>
                                                    {% endif %}
                                                </li>
                                            {% elif n > object_list.number|add:-3 and n < object_list.number|add:3 %}
                                                <li class="page-item">
                                                    {% if request.GET.search %}
                                                        <a class="page-link" href="?search={{ request.GET.search }}&page={{ n }}">{{ n }}</a>
                                                    {% else %}
                                                        <a class="page-link" href="?page={{ n }}">{{ n }}</a>
                                                    {% endif %}
                                                </li>
                                            {% endif %}
                                        {% endfor %}
                                        <li class="page-item {% if not next_url %} disabled {% endif %}">
                                            <a class="page-link" href="{{ next_url }}" aria-label="Next">
                                                <span aria-hidden="true">&raquo;</span>
                                                <span class="sr-only">Next</span>
                                            </a>
                                        </li>
                                    </ul>
                                </nav>
                            </div>
                        {% endif %}
                    </div>
                    <!-- Modal - confirmation to delete a post  -->
                    <div class="modal_post_delete_confirmation modal fade text-center" tabindex="-1" role="dialog" aria-labelledby="postModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-body">
                                    <h5 class="text-center mt-1 mb-4"><b>Are you sure you want to delete this post?</b></h5>
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                                    <button type="submit" name="button" class="delete_post_confirmation_btn btn btn-danger" data-dismiss="modal">Delete</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Modal - confirmation to delete a comment  -->
                    <div class="modal_comment_delete_confirmation modal fade text-center" tabindex="-1" role="dialog" aria-labelledby="commentModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-body">
                                    <h5 class="text-center mt-1 mb-4"><b>Are you sure you want to delete this comment?</b></h5>
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                                    <button type="submit" name="button" class="delete_comment_confirmation_btn btn btn-danger" data-dismiss="modal">Delete</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Right side -->
            <div class="col-md-3">
                {% if user.is_authenticated %}
                <p class="mt-2 text-center">
                    <!-- Interest adding card  -->
                    {% include 'common/includes/interest_adding_card.html' %}
                </p>
                {% else %}
                <div class="mt-3 text-center">
                    <div class="card">
                        <div class="card-body">
                            <p class="font-weight-bold text-muted">
                                Authorized users have access to the list of interests to add to your profile.
                            </p>
                        </div>
                    </div>
                </div>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}